# 
# Copyright 2018-2028 Akaxin Group
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License. 
#

########################################################
###  ***************Akaxin ***************
###             openzaly-server
########################################################



## personal/PERSONAL edition      : use sqlite database
## team/TEAM edition              : use mysql database,support one master with several slaves
## enterprise/ENTERPRISE edition  : use mysql + redis database ,support im server distribution
## ultimate edition               : team or enterprise customization
openzaly.edition=TEAM


# openzaly version
openzaly.version=1.1.7

##### site tcp address,clients connect to site.address 
site.address=0.0.0.0
# site tcp port default 2021
site.port=2021

# pluginapi server address
pluginapi.address=0.0.0.0
# pluginapi server port
pluginapi.port=8280

# default back-stage management address
site.admin.address=127.0.0.1
# default back-stage management port
site.admin.port=8288

# first user login site,use this user invite code(UIC)
site.uic=000000

# deposit pictures,audio,db default current path
# site.baseDir=${pwd}

## if openzaly.edition = personal/PERSONAL OR migrate sqlite to mysql
##openzaly.sqlite.url=openzalyDB.sqlite3


## if openzaly.edition = team/TEAM
##***************mysql master************** 
##openzaly.mysql.host=localhost
##openzaly.mysql.port=3306
##openzaly.mysql.database=openzaly

##openzaly.mysql.username=root
##openzaly.mysql.password=1234567890

openzaly.mysql.initial-size=10
openzaly.mysql.max-size=100
openzaly.mysql.max-idle=60

openzaly.mysql.useUnicode=true
openzaly.mysql.characterEncoding=utf-8
openzaly.mysql.verifyServerCertificate=false
openzaly.mysql.useSSL=true

##***************mysql slave**************
##openzaly.mysql.slave.host=localhost
##openzaly.mysql.slave.port=3306
##openzaly.mysql.slave.database=openzaly

##openzaly.mysql.slave.username=root
##openzaly.mysql.slave.password=1234567890
##openzaly.mysql.slave.initial-size=10
##openzaly.mysql.slave.max-size=100
##openzaly.mysql.slave.max-idle=60

##openzaly.mysql.slave.useUnicode=true
##openzaly.mysql.slave.characterEncoding=utf-8
##openzaly.mysql.slave.verifyServerCertificate=false
##openzaly.mysql.slave.useSSL=true


## if openzaly.edition = enterprise/ENTERPRISE
#### support support im server distribution

## if openzaly.edition = ultimate edition
#### openzaly support customed for team or enterprise


